Subject: bug#76629: NS click events don't select right window

From: Daniel Colascione <[email-masked]>
Date: Mon, 03 Mar 2025 11:39:07 -0800

On March 3, 2025 11:33:00 AM PST, Stefan Kangas <[email-masked]> wrote:
>Daniel Colascione <[email-masked]> writes:
>
>> The situation seems a bit more nuanced than a choice of "on" or "off".
>> I think the concept is that you're supposed to enable click-through for
>> "utility" items (like toolbar buttons) and for document *selection*, but
>> require a second click for interaction with documents.
>
>[...]
>
>> That's a lot of work, so I'd rather just have an on/off toggle right now
>> with a todo.  I'd prefer to default the setting to on, since Emacs is
>> more convenient to use this way.
>
>Thanks for taking the time to look into this properly.
>
>If no one will volunteer to implement the more involved version, I agree
>that a defcustom is the best we can do for now.

We can make a menu defoption with 'always and 'never choices for click through, then add an 'auto option later.